CSPLIT(1)

NOMBRE
csplit - divide un archivo en secciones

SINOPSIS
csplit [OPCIÓN]... ARCHIVO PATRÓN...

DESCRIPCIÓN

Crea fragmentos de ARCHIVO separados en base a un PATRÓN en archivos de la forma 'xx00, 'xx01'... mostrando su tamaño en la salida estándar.

Lee la entrada estándar si ARCHIVO es -

Los argumentos obligatorios para las opciones largas son también obligatorios para las opciones cortas.

-b, --suffix-format=FORMATO
    emplea el formato sprintf en lugar de %02d

-f, --prefix=PREFIJO
    usar PREFIJO en lugar de 'xx'

-k, --keep-files
    no elimina los archivos de salida si ocurre un error

--suppress-matched
    elimina las líneas concordantes con PATRÓN

-n, --digits=DÍGITOS
    emplea la cantidad de dígitos indicada en lugar de 2

-s, --quiet, --silent
    no muestra el tamaño de los archivos creados

-z, --elide-empty-files
    elimina archivos vde salida acíos

--help
    muestra la ayuda y finaliza

--version
    muestra la versión del programa y finaliza

  Cada PATRÓN puede ser:

NÚMERO ENTERO
    copia hasta el número de línea definido sin incluir éste

/REGEXP/[DESPLAZAMIENTO]
    copia hasta una línea concordante pero sin incluir ésta

%REGEXP%[DESPLAZAMIENTO]
    salta hasta una línea concordante pero sin incluirla

{NÚMERO ENTERO}
    repite el patrón anterior la cantidad de veces indicadas

{*} repite el patrón anterior todas las veces que sea posible

el ajuste de línea es un número entero que puede ir precedido de '+' o '-'

AUTOR
Escrito por Stuart Kemp y David MacKenzie.

INFORMAR DE ERRORES
Ayuda en línea de GNU Coreutils: <https://www.gnu.org/software/coreutils/>
Informe cualquier error de traducción a <https://translationproject.org/team/es.html>

VÉASE TAMBIÉN
Documentación completa <https://www.gnu.org/software/coreutils/csplit>
también disponible localmente ejecutando: info '(coreutils) csplit invocation'

Packaged by Debian (9.7-2)
Copyright © 2025 Free Software Foundation, Inc.
Licencia GPLv3+: GNU GPL versión 3 o posterior <https://gnu.org/licenses/gpl.html>.
Esto es software libre: usted es libre de cambiarlo y redistribuirlo.
NO HAY GARANTÍA, en la medida permitida por la legislación.

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.